com.sun.grid.jgdi.monitoring

## Class ResourceQuotaImpl

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.ResourceQuotaImpl

- All Implemented Interfaces:
    ResourceQuota, java.io.Serializable

      public class ResourceQuotaImpl
      extends java.lang.Object
      implements ResourceQuota, java.io.Serializable

  Resource Limit
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceQuotaImpl()` Create a new resource quota info object
    `ResourceQuotaImpl(java.lang.String name)` Create a new limit rule info object
    `ResourceQuotaImpl(java.lang.String name, java.lang.String limitValue, java.lang.String usageValue)` Create a new resource quota

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLimitValue()` Get the limit value
    `java.lang.String` | `getName()` Get the resource name
    `java.lang.String` | `getUsageValue()` Get the usage value
    `void` | `setLimitValue(java.lang.String limitValue)` Set the limit value
    `void` | `setName(java.lang.String name)` Set the resource name
    `void` | `setUsageValue(java.lang.String usageValue)` Set the usage value

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceQuotaImpl

          public ResourceQuotaImpl()

      Create a new resource quota info object

    - #### ResourceQuotaImpl

          public ResourceQuotaImpl(java.lang.String name)

      Create a new limit rule info object
      Parameters:
        `name` - name of the resource quota

    - #### ResourceQuotaImpl

          public ResourceQuotaImpl(java.lang.String name,
                                   java.lang.String limitValue,
                                   java.lang.String usageValue)

      Create a new resource quota
      Parameters:
        `name` - name of the resource quota
        `limitValue` - the limit value
        `usageValue` - the usage value

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Get the resource name
      Specified by:
        `getName` in interface `ResourceQuota`
      Returns:
        the resource name

    - #### setName

          public void setName(java.lang.String name)

      Set the resource name
      Parameters:
        `name` - the resource name

    - #### getLimitValue

          public java.lang.String getLimitValue()

      Get the limit value
      Specified by:
        `getLimitValue` in interface `ResourceQuota`
      Returns:
        the limit value

    - #### setLimitValue

          public void setLimitValue(java.lang.String limitValue)

      Set the limit value
      Parameters:
        `limitValue` - the limit value

    - #### getUsageValue

          public java.lang.String getUsageValue()

      Get the usage value
      Specified by:
        `getUsageValue` in interface `ResourceQuota`
      Returns:
        the usage value

    - #### setUsageValue

          public void setUsageValue(java.lang.String usageValue)

      Set the usage value
      Parameters:
        `usageValue` - the usage value

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.